APIFields

List field definitions

Returns standard and custom field definitions for the authenticated organization.

GET
/v1/fields

Returns standard and custom field definitions for the authenticated organization.

X-Api-Key<token>

In: header

Query Parameters

record_type?string
custom_only?string

Only return custom fields.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/fields"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "record_type": "accounts",
      "key": "string",
      "display_name": "string",
      "description": "string",
      "data_type": "text",
      "enum_values": [
        "string"
      ],
      "is_custom": true,
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}